<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>DOM Test</title>
<script language="JavaScript">
  /*
   Recursively transverse the HTML DOM using the passed node as a starting point.
   */
  function transverse(obj) {
    var strNode = ancestor(obj) + obj.nodeName.toString() + '\n';
    for (var i = 0; i < obj.childNodes.length; i++) {
      strNode += transverse(obj.childNodes.item(i));
    }
    console.log('strNode', strNode);
    
    return (strNode);
  }
  function ancestor(obj) {
    console.log('ancestor', obj);
    if (obj.parentNode != null)
      return ('>' + ancestor(obj.parentNode));
    else
      return ('');
  }
</script>
</head>
<body onload="document.getElementById('textarea1').value = transverse(document)">
  <table width="300" border="1" cellspacing="1" cellpadding="1">
    <tr>
      <td><input type="text" id="input1" name="input1" value="minhhandsome" /></td>
    </tr>
    <tr>
      <td><textarea id="textarea1" name="textarea1" cols="80" rows="20"></textarea></td>
    </tr>
  </table>
</body>
</html>